package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.FormRepository;
import com.realnet.basicp1.Entity.Form
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




	import org.springframework.stereotype.Service;

@Service
 public class FormService {
@Autowired
private FormRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



public Form Savedata(Form data) {




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Form save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Form> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Form> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Form> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Form getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Form update(Form data,Integer id) {
	Form old = Repository.findById(id).get();
old.setName(data.getName());

old.setDescription(data.getDescription());

final Form test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
